<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<meta http-equiv="x-ua-compatible" content="IE=edge"/>
<title>Test results - Class io.gitlab.littlesaints.protean.exchange.ExecutionExchangeTest</title>
<link href="../css/base-style.css" rel="stylesheet" type="text/css"/>
<link href="../css/style.css" rel="stylesheet" type="text/css"/>
<script src="../js/report.js" type="text/javascript"></script>
</head>
<body>
<div id="content">
<h1>Class io.gitlab.littlesaints.protean.exchange.ExecutionExchangeTest</h1>
<div class="breadcrumbs">
<a href="../index.html">all</a> &gt; 
<a href="../packages/io.gitlab.littlesaints.protean.exchange.html">io.gitlab.littlesaints.protean.exchange</a> &gt; ExecutionExchangeTest</div>
<div id="summary">
<table>
<tr>
<td>
<div class="summaryGroup">
<table>
<tr>
<td>
<div class="infoBox" id="tests">
<div class="counter">24</div>
<p>tests</p>
</div>
</td>
<td>
<div class="infoBox" id="failures">
<div class="counter">0</div>
<p>failures</p>
</div>
</td>
<td>
<div class="infoBox" id="ignored">
<div class="counter">0</div>
<p>ignored</p>
</div>
</td>
<td>
<div class="infoBox" id="duration">
<div class="counter">12.087s</div>
<p>duration</p>
</div>
</td>
</tr>
</table>
</div>
</td>
<td>
<div class="infoBox success" id="successRate">
<div class="percent">100%</div>
<p>successful</p>
</div>
</td>
</tr>
</table>
</div>
<div id="tabs">
<ul class="tabLinks">
<li>
<a href="#tab0">Tests</a>
</li>
<li>
<a href="#tab1">Standard output</a>
</li>
</ul>
<div id="tab0" class="tab">
<h2>Tests</h2>
<table>
<thead>
<tr>
<th>Test</th>
<th>Duration</th>
<th>Result</th>
</tr>
</thead>
<tr>
<td class="success">testAccuracy[0: executorExchange=protean::exchange::execution::ordered | exchange=protean::exchange::java::linkedBlockingQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=true]</td>
<td class="success">1.012s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testAccuracy[10: executorExchange=protean::exchange::execution::unordered | exchange=protean::exchange::java::linkedTransferQ::sync | concurrency=4 | capacity=8 | load=250 | isMultiProducer=true]</td>
<td class="success">1.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testAccuracy[11: executorExchange=protean::exchange::execution::unordered | exchange=protean::exchange::java::linkedTransferQ::sync | concurrency=4 | capacity=8 | load=250 | isMultiProducer=false]</td>
<td class="success">1.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testAccuracy[1: executorExchange=protean::exchange::execution::ordered | exchange=protean::exchange::java::linkedBlockingQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=false]</td>
<td class="success">1.011s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testAccuracy[2: executorExchange=protean::exchange::execution::unordered | exchange=protean::exchange::java::linkedBlockingQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=true]</td>
<td class="success">1.005s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testAccuracy[3: executorExchange=protean::exchange::execution::unordered | exchange=protean::exchange::java::linkedBlockingQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=false]</td>
<td class="success">1.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testAccuracy[4: executorExchange=protean::exchange::execution::ordered | exchange=protean::exchange::java::linkedTransferQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=true]</td>
<td class="success">1.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testAccuracy[5: executorExchange=protean::exchange::execution::ordered | exchange=protean::exchange::java::linkedTransferQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=false]</td>
<td class="success">1.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testAccuracy[6: executorExchange=protean::exchange::execution::unordered | exchange=protean::exchange::java::linkedTransferQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=true]</td>
<td class="success">1.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testAccuracy[7: executorExchange=protean::exchange::execution::unordered | exchange=protean::exchange::java::linkedTransferQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=false]</td>
<td class="success">1.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testAccuracy[8: executorExchange=protean::exchange::execution::ordered | exchange=protean::exchange::java::linkedTransferQ::sync | concurrency=4 | capacity=8 | load=250 | isMultiProducer=true]</td>
<td class="success">1.006s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testAccuracy[9: executorExchange=protean::exchange::execution::ordered | exchange=protean::exchange::java::linkedTransferQ::sync | concurrency=4 | capacity=8 | load=250 | isMultiProducer=false]</td>
<td class="success">1.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testMultiAccuracy[0: executorExchange=protean::exchange::execution::ordered | exchange=protean::exchange::java::linkedBlockingQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=true]</td>
<td class="success">0.012s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testMultiAccuracy[10: executorExchange=protean::exchange::execution::unordered | exchange=protean::exchange::java::linkedTransferQ::sync | concurrency=4 | capacity=8 | load=250 | isMultiProducer=true]</td>
<td class="success">0.004s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testMultiAccuracy[11: executorExchange=protean::exchange::execution::unordered | exchange=protean::exchange::java::linkedTransferQ::sync | concurrency=4 | capacity=8 | load=250 | isMultiProducer=false]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testMultiAccuracy[1: executorExchange=protean::exchange::execution::ordered | exchange=protean::exchange::java::linkedBlockingQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=false]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testMultiAccuracy[2: executorExchange=protean::exchange::execution::unordered | exchange=protean::exchange::java::linkedBlockingQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=true]</td>
<td class="success">0.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testMultiAccuracy[3: executorExchange=protean::exchange::execution::unordered | exchange=protean::exchange::java::linkedBlockingQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=false]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testMultiAccuracy[4: executorExchange=protean::exchange::execution::ordered | exchange=protean::exchange::java::linkedTransferQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=true]</td>
<td class="success">0.005s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testMultiAccuracy[5: executorExchange=protean::exchange::execution::ordered | exchange=protean::exchange::java::linkedTransferQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=false]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testMultiAccuracy[6: executorExchange=protean::exchange::execution::unordered | exchange=protean::exchange::java::linkedTransferQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=true]</td>
<td class="success">0.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testMultiAccuracy[7: executorExchange=protean::exchange::execution::unordered | exchange=protean::exchange::java::linkedTransferQ | concurrency=4 | capacity=8 | load=250 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testMultiAccuracy[8: executorExchange=protean::exchange::execution::ordered | exchange=protean::exchange::java::linkedTransferQ::sync | concurrency=4 | capacity=8 | load=250 | isMultiProducer=true]</td>
<td class="success">0.004s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testMultiAccuracy[9: executorExchange=protean::exchange::execution::ordered | exchange=protean::exchange::java::linkedTransferQ::sync | concurrency=4 | capacity=8 | load=250 | isMultiProducer=false]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
</table>
</div>
<div id="tab1" class="tab">
<h2>Standard output</h2>
<span class="code">
<pre>{&quot;time&quot;:&quot;2020-01-01 22:42:25,031&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.ExecutionExchangeTest&quot;,&quot;log&quot;:&quot;Loading io.gitlab.littlesaints.protean.processing.ProcessingTestsResourceLocator$_Registrar@452affc7&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:25,046&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.ExecutionExchangeTest&quot;,&quot;log&quot;:&quot;Loading SimpleContext::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:25,052&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.ExecutionExchangeTest&quot;,&quot;log&quot;:&quot;Loading SyncExecutor::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:25,060&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.ExecutionExchangeTest&quot;,&quot;log&quot;:&quot;Loading ProteanResources::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:25,063&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.ExecutionExchangeTest&quot;,&quot;log&quot;:&quot;Loading LinkedBlockingExchange::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:25,065&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.ExecutionExchangeTest&quot;,&quot;log&quot;:&quot;Loading LinkedSyncTransferExchange::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:25,069&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.ExecutionExchangeTest&quot;,&quot;log&quot;:&quot;Loading LinkedTransferExchange::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:25,071&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.ExecutionExchangeTest&quot;,&quot;log&quot;:&quot;Loading OrderedExecutionExchange::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:25,073&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.ExecutionExchangeTest&quot;,&quot;log&quot;:&quot;Loading UnOrderedExecutionExchange::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:25,077&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.ExecutionExchangeTest&quot;,&quot;log&quot;:&quot;Loading EventCache::Registrar&quot;}
</pre>
</span>
</div>
</div>
<div id="footer">
<p>
<div>
<label class="hidden" id="label-for-line-wrapping-toggle" for="line-wrapping-toggle">Wrap lines
<input id="line-wrapping-toggle" type="checkbox" autocomplete="off"/>
</label>
</div>Generated by 
<a href="http://www.gradle.org">Gradle 4.10</a> at Jan 1, 2020 10:43:41 PM</p>
</div>
</div>
</body>
</html>
